
Foreman - Refactor #11449

Don't use therubyracer anymore

08/22/2015 06:34 PM - Anonymous

Status: Closed   

Priority: Low   

Assignee:    

Category: Packaging   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2648

  

Description

therubyracer has a longstanding history of problems on non-Linux and non-x86 platforms. It is used via the execjs gem, while execjs

itself does support multiple engines and will select itself the one that's best from the available ones. GitLab went through all this and

uses node.js now, which means the node.js package must be installed for all execjs related tasks.

Related issues:

Related to Foreman - Refactor #16198: Remove therubyracer support Closed 08/19/2016

Blocks Packaging - Feature #14809: Build RPMs for Fedora 24 Closed 04/26/2016

Associated revisions

Revision 60a26f57 - 09/03/2015 03:00 AM - Michael Moll 

refs #11449 - move therubyracer to its own bundler group

Revision 36ccf1b3 - 09/03/2015 03:13 AM - Dominic Cleal

refs #11449 - package therubyracer bundler group

therubyracer's easily available via RPMs, so continue using this for

assets compilation.

Revision 364b162d - 09/03/2015 06:04 AM - Michael Moll 

refs #11449 - mention therubyracer bundler group

Revision da06a857 - 09/03/2015 06:07 AM - Dominic Cleal 

Merge pull request #427 from mmoll/therubyracer

refs #11449 - mention therubyracer bundler group

History

#1 - 08/24/2015 03:05 AM - Dominic Cleal

I'd probably like to support both (via bundler groups?) as using therubyracer is easiest for our RPM packaging, since it's already provided by the

ruby193 SCL.  Alternatively, there's a node010 SCL which may do.

#2 - 08/28/2015 06:04 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2648 added

- Pull request deleted ()

#3 - 09/03/2015 05:55 AM - Dominic Cleal

- translation missing: en.field_release set to 63

I guess you're making a further change to the Debian packages for this?  If you could update contribute.md as well on the website it'd be useful,
thanks.

#4 - 09/04/2015 05:52 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

https://github.com/theforeman/foreman-packaging/pull/799 is the corresponding change to Debian Jessie and Ubuntu Trusty packages.  Everything

else remains on therubyracer for now.

#5 - 04/29/2016 04:56 AM - Dominic Cleal

- Blocks Feature #14809: Build RPMs for Fedora 24 added

#6 - 08/19/2016 08:30 AM - Dominic Cleal

- Related to Refactor #16198: Remove therubyracer support added
